No, you will not need a new HPD Builder registration for version 2.1.  Your existing HPD Builder registration will be automatically directed to provide access to HPD Builder 2.1 when it is ready for use.